<?php

namespace DefStudio\GameEngine\Http\Livewire\Concerns;

trait ImprovedModal
{
    public bool $isModal = false;

    public static function modalMaxWidth(): string
    {
        return '4xl';
    }

    public static function closeModalOnClickAway(): bool
    {
        return false;
    }

    public static function closeModalOnEscape(): bool
    {
        return false;
    }

    public static function destroyOnClose(): bool
    {
        return false;
    }
}
